<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  {% include 'templates/favicon.html' %}
  {% include 'templates/global.css.html' %}
  <link rel="stylesheet" type="text/css" media="screen" href="standard.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="dialogbox.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="blocs-logiques.css" />
  <title>Blocs logiques</title>
</head>
<body>
  {% include 'templates/widget_back_menu.html' %}
  <div id="ecran-blanc" class="ecran-blanc visible"></div>
  <div class="zoneElements">
    <img id="pcarre-bleu" src="img/pcarre-bleu.png" class="zoneElements_element zoneElements_element--petitCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="pcarre-vert" src="img/pcarre-vert.png" class="zoneElements_element zoneElements_element--petitCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="pcarre-jaune" src="img/pcarre-jaune.png" class="zoneElements_element zoneElements_element--petitCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="pcarre-rouge" src="img/pcarre-rouge.png" class="zoneElements_element zoneElements_element--petitCarre" draggable="true" ondragstart="drag(event)"/>

    <img id="gcarre-bleu" src="img/gcarre-bleu.png" class="zoneElements_element zoneElements_element--grandCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="gcarre-vert" src="img/gcarre-vert.png" class="zoneElements_element zoneElements_element--grandCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="gcarre-jaune" src="img/gcarre-jaune.png" class="zoneElements_element zoneElements_element--grandCarre" draggable="true" ondragstart="drag(event)"/>
    <img id="gcarre-rouge" src="img/gcarre-rouge.png" class="zoneElements_element zoneElements_element--grandCarre" draggable="true" ondragstart="drag(event)"/>

    <img id="prectv-bleu" src="img/prectv-bleu.png" class="zoneElements_element zoneElements_element--petitRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="prectv-vert" src="img/prectv-vert.png" class="zoneElements_element zoneElements_element--petitRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="prectv-jaune" src="img/prectv-jaune.png" class="zoneElements_element zoneElements_element--petitRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="prectv-rouge" src="img/prectv-rouge.png" class="zoneElements_element zoneElements_element--petitRectV" draggable="true" ondragstart="drag(event)"/>

    <img id="grectv-bleu" src="img/grectv-bleu.png" class="zoneElements_element zoneElements_element--grandRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="grectv-vert" src="img/grectv-vert.png" class="zoneElements_element zoneElements_element--grandRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="grectv-jaune" src="img/grectv-jaune.png" class="zoneElements_element zoneElements_element--grandRectV" draggable="true" ondragstart="drag(event)"/>
    <img id="grectv-rouge" src="img/grectv-rouge.png" class="zoneElements_element zoneElements_element--grandRectV" draggable="true" ondragstart="drag(event)"/>

    <img id="precth-bleu" src="img/precth-bleu.png" class="zoneElements_element zoneElements_element--petitRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="precth-vert" src="img/precth-vert.png" class="zoneElements_element zoneElements_element--petitRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="precth-jaune" src="img/precth-jaune.png" class="zoneElements_element zoneElements_element--petitRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="precth-rouge" src="img/precth-rouge.png" class="zoneElements_element zoneElements_element--petitRectH" draggable="true" ondragstart="drag(event)"/>

    <img id="grecth-bleu" src="img/grecth-bleu.png" class="zoneElements_element zoneElements_element--grandRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="grecth-vert" src="img/grecth-vert.png" class="zoneElements_element zoneElements_element--grandRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="grecth-jaune" src="img/grecth-jaune.png" class="zoneElements_element zoneElements_element--grandRectH" draggable="true" ondragstart="drag(event)"/>
    <img id="grecth-rouge" src="img/grecth-rouge.png" class="zoneElements_element zoneElements_element--grandRectH" draggable="true" ondragstart="drag(event)"/>

    <img id="ptri-bleu" src="img/ptri-bleu.png" class="zoneElements_element zoneElements_element--petitTri" draggable="true" ondragstart="drag(event)"/>
    <img id="ptri-vert" src="img/ptri-vert.png" class="zoneElements_element zoneElements_element--petitTri" draggable="true" ondragstart="drag(event)"/>
    <img id="ptri-jaune" src="img/ptri-jaune.png" class="zoneElements_element zoneElements_element--petitTri" draggable="true" ondragstart="drag(event)"/>
    <img id="ptri-rouge" src="img/ptri-rouge.png" class="zoneElements_element zoneElements_element--petitTri" draggable="true" ondragstart="drag(event)"/>

    <img id="gtri-bleu" src="img/gtri-bleu.png" class="zoneElements_element zoneElements_element--grandTri" draggable="true" ondragstart="drag(event)"/>
    <img id="gtri-vert" src="img/gtri-vert.png" class="zoneElements_element zoneElements_element--grandTri" draggable="true" ondragstart="drag(event)"/>
    <img id="gtri-jaune" src="img/gtri-jaune.png" class="zoneElements_element zoneElements_element--grandTri" draggable="true" ondragstart="drag(event)"/>
    <img id="gtri-rouge" src="img/gtri-rouge.png" class="zoneElements_element zoneElements_element--grandTri" draggable="true" ondragstart="drag(event)"/>

    <img id="pcercle-bleu" src="img/pcercle-bleu.png" class="zoneElements_element zoneElements_element--petitCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="pcercle-vert" src="img/pcercle-vert.png" class="zoneElements_element zoneElements_element--petitCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="pcercle-jaune" src="img/pcercle-jaune.png" class="zoneElements_element zoneElements_element--petitCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="pcercle-rouge" src="img/pcercle-rouge.png" class="zoneElements_element zoneElements_element--petitCercle" draggable="true" ondragstart="drag(event)"/>

    <img id="gcercle-bleu" src="img/gcercle-bleu.png" class="zoneElements_element zoneElements_element--grandCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="gcercle-vert" src="img/gcercle-vert.png" class="zoneElements_element zoneElements_element--grandCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="gcercle-jaune" src="img/gcercle-jaune.png" class="zoneElements_element zoneElements_element--grandCercle" draggable="true" ondragstart="drag(event)"/>
    <img id="gcercle-rouge" src="img/gcercle-rouge.png" class="zoneElements_element zoneElements_element--grandCercle" draggable="true" ondragstart="drag(event)"/>
  </div>
  <div class="zoneActions">
    <div class="zoneActions_zoneGauche">
      <div class="zoneActions_zoneGauche_choixDessins">
        <button id="maison" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('maison')">Maison</button>
        <button id="montagnes" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('montagnes')"> Montagnes </button>
        <button id="cosmos" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('cosmos')">Cosmos</button>
        <button id="pont" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('pont')">Pont</button>
        <button id="tablette" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('tablette')">Tablette</button>
        <button id="radio" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('radio')">Radio</button>
        <button id="fusee" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('fusee')">Fusée</button>
        <button id="guitare" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('guitare')">Guitare</button>
        <button id="arbre1" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('arbre1')">Arbre 1</button>
        <button id="arbre2" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('arbre2')">Arbre 2</button>
        <button id="chateau1" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('chateau1')">Château 1</button>
        <button id="brouette" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('brouette')">Brouette</button>
        <button id="homme" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('homme')">Homme</button>
        <button id="chateau2" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('chateau2')">Château 2</button>
        <button id="velo" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('velo')">Vélo</button>
        <button id="sapin1" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('sapin1')">Sapin 1</button>
        <button id="sapin2" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="chargeSelection('sapin2')">Sapin 2</button>
      </div>
      <hr>
      <div class="zoneActions_zoneGauche_choixLibres">
        <button id="blocs-hasard" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="creeFigure()">Blocs au hasard</button>
        <button id="dessin-libre" class="btcommande zoneActions_zoneGauche_choixDessins_bouton" type='button' onclick="activeDessinLibre()">Dessin libre</button>
        <button id="efface-canvas" class="btcommande zoneActions_zoneGauche_choixLibres_bouton" type='button' disabled onclick="effaceCanvas()">Efface tout</button>

      </div>
    </div>
    <div class="zoneActions_zoneDroite">
      <div class="zoneActions_zoneDroite_zoneCanvas">
        <canvas id="graphCanvas" class="zoneActions_zoneDroite_zoneCanvas_canvas" ondrop="drop(event)" ondragover="allowDrop(event)" height=600 width=800></canvas>
      </div>
      <div class="zoneActions_zoneDroite_options">
        <form name="form-options" class="zoneActions_zoneDroite_options_formOptions">
          <input id="coul-img" type="radio" name="choix-affichage" value="choix-affichage" class="zoneActions_zoneDroite_options_formOptions_radio" checked onclick="affichageCouleurs('image')"/><label class="zoneActions_zoneDroite_options_formOptions_label" for="coul-img">Couleurs en visuel</label>
          <input id="coul-nom" type="radio" name="choix-affichage" value="choix-affichage" class="zoneActions_zoneDroite_options_formOptions_radio" onclick="affichageCouleurs('nom')"/><label class="zoneActions_zoneDroite_options_formOptions_label" for="coul-nom">Couleurs par noms</label>

          <input id="coul-fixee" type="radio" name="choix-couleur" value="choix-couleur" class="zoneActions_zoneDroite_options_formOptions_radio" checked onclick="choixCouleurs('fixee')"/><label class="zoneActions_zoneDroite_options_formOptions_label" for="coul-fixee">Couleurs fixées</label>
          <input id="coul-alea" type="radio" name="choix-couleur" value="choix-couleur" class="zoneActions_zoneDroite_options_formOptions_radio" onclick="choixCouleurs('aleatoire')"/><label class="zoneActions_zoneDroite_options_formOptions_label" for="coul-alea">Couleurs au hasard</label>
        </form>
        <div class="zoneActions_zoneDroite_options_boutons">
          <button id="bt-aide" class="btcommande zoneActions_zoneDroite_options_boutons_bouton" type='button' onclick="lanceAide()">?</button>
        </div>
      </div>
    </div>
  </div>

  <div id="aide" class="visible">
    <form class="aide modale" onsubmit="quitteAide(event)">
      <p></p>
      <p>Après avoir choisi un dessin, ou les blocs au hasard, fais glisser les blocs du haut sur les éléments du dessin.</p>
        Pour qu'un bloc s'insère dans le dessin, il doit être de la même forme, de la même taille et de la même couleur que sur le dessin.
      <p>Tu peux vérifier qu'un bloc est de la bonne taille en commençant à le faire glisser ; il aura alors une taille identique à celle qu'il devrait avoir sur le dessin.</p>
      <p>En dessin libre, tu peux déposer les blocs que tu veux à n'importe quel endroit de la zone de dessin.</p>
      <p><b>ASTUCE :</b> en appuyant sur la touche F11, tu pourras alternativement passer en mode plein écran ou en mode fenêtré.</p>
      <p class="centre"><button id="btok" class="btcommande" type="submit" autofocus >OK</button></p>
    </form>
  </div>

  {% include 'templates/global.js.html' %}
  <script src="dialogbox.js" type="text/javascript"></script>
  <script src="formes.js" type="text/javascript"></script>
  <script src="blocs-logiques.js" type="text/javascript"></script>
</body>
</html>
